Bug 1836931 - `oc explain localvolume` returns empty description
Summary: `oc explain localvolume` returns empty description
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Hemant Kumar
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-18 14:01 UTC by Qin Ping
Modified: 2020-07-24 07:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift local-storage-operator pull 121 0 None closed Bug 1836931: Ensure that LocalVolume objects use structured schema 2021-01-19 06:35:21 UTC

Description Qin Ping 2020-05-18 14:01:30 UTC
Description of problem:

Version-Release number of selected component (if applicable):
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-05-18-051243   True        False         3h50m   Cluster version is 4.5.0-0.nightly-2020-05-18-051243
$ oc get csv -n local-storage|grep local-storage
local-storage-operator.4.5.0-202005161517   Local Storage            4.5.0-202005161517   local-storage-operator.4.3.21-202005160952   Succeeded


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
$ oc explain localvolume
KIND:     LocalVolume
VERSION:  local.storage.openshift.io/v1

DESCRIPTION:
     <empty>


Expected results:
Should return detailed description information and related fields explanation.

Master Log:

Node Log (of failed PODs):

PV Dump:

PVC Dump:

StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:

Comment 1 Hemant Kumar 2020-06-02 04:11:15 UTC
The reason this does not work is because when upstream moved CRDs to v1, they introduced Structural schema - https://kubernetes.io/docs/tasks/access-kubernetes-api/custom-resources/custom-resource-definitions/#specifying-a-structural-schema and it is somewhat stricter than what is currently coded in LocalVolume CRD. It also appears that I can't directly use CRD v1 without making some changes into LocalVolume CRD.

Comment 4 Qin Ping 2020-07-24 07:16:50 UTC
Verified with: local-storage-operator.4.6.0-202007221854.p0


Note You need to log in before you can comment on or make changes to this bug.